Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Read_Buffer.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/os_stdio.h"`
`#include "ace/Read_Buffer.inl"`

Include dependency graph for Read_Buffer.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Read_Buffer
| Efficiently reads an artibrarily large buffer from an input stream up to and including a termination character. Also performs search/replace on single occurrences a character in the buffer using the principles of Integrated Layer Processing. More...

## Detailed Description

Id
  Read_Buffer.h,v 4.24 2006/01/16 19:39:07 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Seth Widoff